# Serialized Form

## Package nl.tudelft.simulation.dsol.animation.gis

### Class nl.tudelft.simulation.dsol.animation.gis.DSOLGisException extends Exception implements Serializable

serialVersionUID:
  1L

### Class nl.tudelft.simulation.dsol.animation.gis.GisObject extends Object implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### attributes

    String[] attributes

#### shape

    Object shape

### Class nl.tudelft.simulation.dsol.animation.gis.SerializablePath extends Path2D.Float implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException

Reads a serialized object from a stream.

Throws:
  `IOException` - on IO Exception

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialized an object to the stream.

Throws:
  `IOException` - on IO failure

### Class nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D extends Rectangle2D implements Serializable

serialVersionUID:
  20201015L

### Class nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D.Double extends SerializableRectangle2D implements Serializable

serialVersionUID:
  20201015L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException

Read a serialized object from the stream.

Throws:
  `IOException` - on exception

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialize the object to the stream.

Throws:
  `IOException` - on exception

### Serialized Fields

#### rectangle

    Rectangle2D.Double rectangle

the rectangle.

### Class nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D.Float extends SerializableRectangle2D implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException

Read a serialized object from the stream.

Throws:
  `IOException` - on IOException

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialize the object to the stream.

Throws:
  `IOException` - on IOException

### Serialized Fields

#### rectangle

    Rectangle2D rectangle

the rectangle.

## Package nl.tudelft.simulation.dsol.animation.gis.map

### Class nl.tudelft.simulation.dsol.animation.gis.map.Feature extends Object implements Serializable

serialVersionUID:
  20210201L

### Serialized Fields

#### fillColor

    Color fillColor

the fillColor of the layer, by default no fill.

#### initialized

    boolean initialized

whether the shapes have been read or not.

#### key

    String key

the key that defines a feature in a layer, can be "*" if no features are defined.

#### outlineColor

    Color outlineColor

the outlineColor.

#### shapes

    List<GisObject> shapes

the list of shapes that have been retrieved for this feature.

#### value

    String value

the value belonging to the key that defines the feature in a layer, can be "*" if all elements in the data source that have the correct key have to be drawn.

### Class nl.tudelft.simulation.dsol.animation.gis.map.GisMap extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### allLayers

    List<LayerInterface> allLayers

the total list of layers of the map.

#### drawBackground

    boolean drawBackground

draw the background?

#### extent

    Bounds2d extent

the extent of the map.

#### image

    MapImageInterface image

the mapfileImage.

#### layerMap

    Map<String,​LayerInterface> layerMap

the map of layer names to layers.

#### name

    String name

the name of the mapFile.

#### same

    boolean same

same set to false after layer change.

#### units

    MapUnits units

the map units.

#### visibleLayers

    List<LayerInterface> visibleLayers

the visible layers of the map.

### Class nl.tudelft.simulation.dsol.animation.gis.map.Layer extends Object implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### display

    boolean display

whether to display the layer.

#### features

    List<FeatureInterface> features

the feature map, implemented by a LinkedHashMap to guarantee a reproducible order.

#### name

    String name

the name of the layer.

#### transform

    boolean transform

whether to transform the layer.

### Class nl.tudelft.simulation.dsol.animation.gis.map.MapImage extends Object implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### backgroundColor

    Color backgroundColor

background color; default is fully transparent.

#### size

    Dimension size

canvas image size; default is HD screen size.